GET /api/projects/{id}

Authentication

API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Example: "abc123"

Responses

200 Project details
application/json
project unknown REQUIRED
compositionCount number REQUIRED
401 Authentication required
404 Project not found
curl -X GET 'https://motioness.com/api/projects/abc123'
const response = await fetch('https://motioness.com/api/projects/abc123', {  method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://motioness.com/api/projects/abc123')print(response.json())
200 Response
{  "project": {    "id": "<string>",    "name": "<string>",    "domains": [      "<string>"    ],    "brandConfig": "<object>",    "isDefault": true,    "contentInventory": "<object>",    "messagingContext": "<object>",    "crawledAt": "<string>",    "createdAt": "<string>",    "updatedAt": "<string>",    "proxy_key": "<string>",    "signing_secret": "<string>",    "allowed_origins": "<string>",    "default_motion": "subtle",    "default_dur_seconds": 123,    "default_mode": "loop"  },  "compositionCount": 123}
Ask a question... ⌘I